%define	pg_ver	9.3
Summary:	PostgreSQL JDBC driver
Summary(pl.UTF-8):	Sterownik JDBC do PostgreSQL-a
Name:		postgresql-jdbc
Version:	1100
Release:	1
License:	BSD
Group:		Development/Languages/Java
#Source0Download: http://jdbc.postgresql.org/download.html
Source0:	http://jdbc.postgresql.org/download/%{name}-%{pg_ver}-%{version}.src.tar.gz
# Source0-md5:	d7a7f213c3e96c89bfc12176a149f8fa
URL:		http://jdbc.postgresql.org/
BuildRequires:	docbook-dtd42-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	docbook-utils
BuildRequires:	ant >= 1.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PostgreSQL JDBC driver allows Java programs to connect to a PostgreSQL
database using standard, database independent Java code. It is a pure
Java (Type IV) implementation. The driver provides are reasonably
complete implementation of the JDBC 3 specification in addition to
some PostgreSQL specific extensions. Our goal is nothing short of full
compliance, but it's not there yet. Some features require additional
backend support and others just need someone to implement them.

%description -l pl.UTF-8
Sterownik JDBC do PostgreSQL-a pozwala programom w Javie łączyć się z
bazą danych PostgreSQL przy użyciu stanadrdowego, niezależnego od bazy
danych, kodu w Javie. Jest to implementacja w czystej Javie (Type IV).
Sterownik dostarcza prawie pełną implementację specyfikacji JDBC 3 z
dodatkiem rozszerzeń specyficznych dla PostgreSQL-a. Celem jest
osiągnięcie pełnej zgodności, ale do niej jeszcze trochę brakuje.
Niektóre możliwości wymagają dodatkowego wsparcia backendu, a inne po
prostu kogoś, kto je zaimplementuje.

%prep
%setup -q -n %{name}-%{pg_ver}-%{version}.src

%build
ant

cd doc
db2html pgjdbc.xml

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

install jars/postgresql.jar $RPM_BUILD_ROOT%{_javadir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.md doc/pgjdbc
%{_javadir}/postgresql.jar
%changelog
* Wed Feb 19 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/postgresql-jdbc.git;a=log;h=master

* Tue Feb 18 2014 Andrzej Zawadzki <zawadaa@pld-linux.org> 8ec9ad4
- up to 9.3

* Fri Apr 05 2013 Jakub Bogusz <qboosh@pld-linux.org> 4857dba
- updated to 1002 for postgresql 9.2

* Fri Oct 21 2011 Jakub Bogusz <qboosh@pld-linux.org> 9c837bd
- updated to 901 for PostgreSQL 9.1

* Thu May 26 2011 zbyniu <zbyniu@pld-linux.org> 19f03ac
- up to 606

* Fri Jan 01 2010 sparky <sparky@pld-linux.org> c058cc7
- use standatd BuildRoot directory

* Tue Nov 18 2008 radek <radek@pld-linux.org> 4a6720c
- version 604

* Wed Jul 23 2008 twittner <twittner@pld-linux.org> 1bb3b92
- up to 603 for PostgreSQL 8.3
- noarch

* Wed Nov 21 2007 Jan Rękorajski <baggins@pld-linux.org> 9f41028
- updated to 506 for postgresql 8.2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7195f45
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5c399d3
- converted to UTF-8

* Fri May 19 2006 Jacek Konieczny <jajcus@pld-linux.org> 8316438
- s/jakarta-ant/ant/ in BR

* Sun Feb 13 2005 Jakub Bogusz <qboosh@pld-linux.org> 1e594dd
- new (separate from postgresql.spec since 8.0)

